/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * 设备型号管理表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-13 16:13:26  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "设备型号管理表")
public class CdDeviceModel extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_modelName = "modelName";
  public static final String KEY_brandId = "brandId";
  public static final String KEY_productName = "productName";
  public static final String KEY_screenSize = "screenSize";
  public static final String KEY_resolution = "resolution";
  public static final String KEY_type = "type";
  public static final String KEY_modelImg = "modelImg";
  public static final String KEY_systemVersion = "systemVersion";
  public static final String KEY_cpuCoreNum = "cpuCoreNum";
  public static final String KEY_cpuModel = "cpuModel";
  public static final String KEY_cpuBrand = "cpuBrand";
  public static final String KEY_ramSize = "ramSize";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 机型id<br>
   */
  @ApiModelProperty("机型id")
  @Size(max = 32, message="机型id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 机型名称<br>
   */
  @ApiModelProperty("机型名称")
  @Size(max = 128, message="机型名称-modelName: 数据长度不能 > 128" )
  private String modelName;
  /**
   * 所属品牌<br>
   */
  @ApiModelProperty("所属品牌")
  @Size(max = 32, message="所属品牌-brandId: 数据长度不能 > 32" )
  private String brandId;
  /**
   * 产品名称<br>
   */
  @ApiModelProperty("产品名称")
  @Size(max = 128, message="产品名称-productName: 数据长度不能 > 128" )
  private String productName;
  /**
   * 屏幕尺寸<br>
   */
  @ApiModelProperty("屏幕尺寸")
  @Size(max = 32, message="屏幕尺寸-screenSize: 数据长度不能 > 32" )
  private String screenSize;
  /**
   * 分辨率<br>
   */
  @ApiModelProperty("分辨率")
  @Size(max = 32, message="分辨率-resolution: 数据长度不能 > 32" )
  private String resolution;
  /**
   * 类型<br>
   */
  @ApiModelProperty("类型")
  @Size(max = 1, message="类型-type: 数据长度不能 > 1" )
  private String type;
  /**
   * 机型图片<br>
   */
  @ApiModelProperty("机型图片")
  private String modelImg;
  /**
   * 系统版本<br>
   */
  @ApiModelProperty("系统版本")
  @Size(max = 32, message="系统版本-systemVersion: 数据长度不能 > 32" )
  private String systemVersion;
  /**
   * cpu核心数<br>
   */
  @ApiModelProperty("cpu核心数")
  private Integer cpuCoreNum;
  /**
   * cpu型号<br>
   */
  @ApiModelProperty("cpu型号")
  @Size(max = 32, message="cpu型号-cpuModel: 数据长度不能 > 32" )
  private String cpuModel;
  /**
   * cpu品牌<br>
   */
  @ApiModelProperty("cpu品牌")
  @Size(max = 32, message="cpu品牌-cpuBrand: 数据长度不能 > 32" )
  private String cpuBrand;
  /**
   * 内存大小<br>
   */
  @ApiModelProperty("内存大小")
  @Size(max = 32, message="内存大小-ramSize: 数据长度不能 > 32" )
  private String ramSize;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 机型id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 机型id<br>
   *
   * @param id 机型id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 机型名称<br>
   */
  public String getModelName()
  {
      return modelName;
    }

  /**
   * 机型名称<br>
   *
   * @param modelName 机型名称
   */
  public void setModelName(String modelName)
  {
      this.modelName = modelName;
    }
  /**
   * 所属品牌<br>
   */
  public String getBrandId()
  {
      return brandId;
    }

  /**
   * 所属品牌<br>
   *
   * @param brandId 所属品牌
   */
  public void setBrandId(String brandId)
  {
      this.brandId = brandId;
    }
  /**
   * 产品名称<br>
   */
  public String getProductName()
  {
      return productName;
    }

  /**
   * 产品名称<br>
   *
   * @param productName 产品名称
   */
  public void setProductName(String productName)
  {
      this.productName = productName;
    }
  /**
   * 屏幕尺寸<br>
   */
  public String getScreenSize()
  {
      return screenSize;
    }

  /**
   * 屏幕尺寸<br>
   *
   * @param screenSize 屏幕尺寸
   */
  public void setScreenSize(String screenSize)
  {
      this.screenSize = screenSize;
    }
  /**
   * 分辨率<br>
   */
  public String getResolution()
  {
      return resolution;
    }

  /**
   * 分辨率<br>
   *
   * @param resolution 分辨率
   */
  public void setResolution(String resolution)
  {
      this.resolution = resolution;
    }
  /**
   * 类型<br>
   */
  public String getType()
  {
      return type;
    }

  /**
   * 类型<br>
   *
   * @param type 类型
   */
  public void setType(String type)
  {
      this.type = type;
    }
  /**
   * 机型图片<br>
   */
  public String getModelImg() {
    return modelImg;
  }

  /**
   * 机型图片<br>
   *
   * @param modelImg 机型图片
   */
  public void setModelImg(String modelImg) {
    this.modelImg = modelImg;
  }

  /**
   * 系统版本<br>
   */
  public String getSystemVersion()
  {
      return systemVersion;
    }

  /**
   * 系统版本<br>
   *
   * @param systemVersion 系统版本
   */
  public void setSystemVersion(String systemVersion)
  {
      this.systemVersion = systemVersion;
    }
  /**
   * cpu核心数<br>
   */
  public Integer getCpuCoreNum()
  {
      return cpuCoreNum;
    }

  /**
   * cpu核心数<br>
   *
   * @param cpuCoreNum cpu核心数
   */
  public void setCpuCoreNum(Integer cpuCoreNum)
  {
      this.cpuCoreNum = cpuCoreNum;
    }
  /**
   * cpu型号<br>
   */
  public String getCpuModel()
  {
      return cpuModel;
    }

  /**
   * cpu型号<br>
   *
   * @param cpuModel cpu型号
   */
  public void setCpuModel(String cpuModel)
  {
      this.cpuModel = cpuModel;
    }
  /**
   * cpu品牌<br>
   */
  public String getCpuBrand()
  {
      return cpuBrand;
    }

  /**
   * cpu品牌<br>
   *
   * @param cpuBrand cpu品牌
   */
  public void setCpuBrand(String cpuBrand)
  {
      this.cpuBrand = cpuBrand;
    }
  /**
   * 内存大小<br>
   */
  public String getRamSize()
  {
      return ramSize;
    }

  /**
   * 内存大小<br>
   *
   * @param ramSize 内存大小
   */
  public void setRamSize(String ramSize)
  {
      this.ramSize = ramSize;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public CdDeviceModel()
  {
  }

}
